Mailinglist Archive: opensuse-security (50 mails)

< Previous Next >
Re: [suse-security] AppArmor in SUSE 10.0
  • From: Crispin Cowan <crispin@xxxxxxxxxx>
  • Date: Sun, 07 May 2006 10:22:16 -1000
  • Message-id: <445E56F8.1010908@xxxxxxxxxx>
Christian Boltz wrote:
> BTW: I agree that a YOU update removing the restrictions in 10.0 would
> be a very good idea.
>
We are trying to decide which would be better:

* Issue the certificate via YOU. This imposes the least change on
your systems. Least work for you, least work for us, but kinda
kludgey.
* Issue an updated AppArmor parser via YOU. This imposes larger
changes on your system, but results in simpler software running on
your systems. This is more work for you, more work for us, but is
the right thing to do.

But if we are going to talk about the "right thing to do", the right
thing is to upgrade to SUSE 10.1 :) which has the unrestricted version
of AppArmor by default. It also has some new features, and a much
improved set of profiles.

Crispin
--
Crispin Cowan, Ph.D. http://crispincowan.com/~crispin/
Director of Software Engineering, Novell http://novell.com


< Previous Next >
List Navigation
Follow Ups